Aquilam

Does GNS 530W XP/GNS WAAS for FSX work in FSX Steam Edition

Recommended Posts

I'm looking to buy the beautiful Reality XP GNS 530W XP/GNS WAAS for FSX, however I'm flying FSX Steam Edition. Will this product work in FSX Steam Edition (FSX-SE)?

 

I searched through the knowledge base but no joy.

 

Thanks!

 

Share this post


Link to post
Share on other sites
Help AVSIM continue to serve you!
Please donate today!

Hi,

 

Our current GNS WAAS won't work with FSX:SE.

 

However, please note we are working on a brand new GNS WAAS product for all major simulators (XP11/10, P3D and FS:SE FSX FS9). This will come with nice goodies too.

 

We cannot publicly tell when yet, but we expect a release this month!

Share this post


Link to post
Share on other sites

We cannot publicly tell when yet, but we expect a release this month!

 

Very nice, that's soon :smile: Can you already share something about the pricing? Will there be a discount for owners of the GNS software for FSX?

Share this post


Link to post
Share on other sites

I can't share any details yet, however, I'm sure there will be a very good incentive for everyone and particularly for our existing customers!

 

Like said above: this will come with nice goodies too...

Share this post


Link to post
Share on other sites

Glad to hear this Jean-Luc, the GNS was always a beautiful product and GPS, as all RXP has been.  Awesome news for us Steam users.  :smile:

Share this post


Link to post
Share on other sites

I liked your 530. Now I'm running p3dV3.3 and were it compatible with this plus fit integrally into some add-on aircraft panels I will probably purchase again. I may upgrade from 3.3 to whatever the latest is but my 3.3 works so nice I chose not to upgrade to 3.4.So hopefully your 530 will work in all versions of p3d.

I'm looking forward to seeing your newest version of the 530.

Dave

Share this post


Link to post
Share on other sites

Im not sure there WILL be a 530/430 update. I'm guessing the new product is the 750/650 units already available for X-Plane. If I was a marketing man i'd bundle the new units with the older ones for a nice bundle price, and have an upgrade route for those who purchased the older FSX versions. Like me.

BUT that's all just my conjecture!

When there is a version of the 750 released for FSX SE I am likely to be not needing the brilliant, but clunky these days, 530/430. Although they would look at home in the 'older' planes.

Share this post


Link to post
Share on other sites

There is an interesting conjecture, but the truth is way different and more interresting! Hopefully not long to wait before our next major announcement. I was hoping to be able to post a teaser by today, but it will have to wait just a little more.

Share this post


Link to post
Share on other sites

 I was hoping to be able to post a teaser by today, but it will have to wait just a little more.

Technically, you just DID post a teaser!

Especially the  'way different and more interesting' parts.

:D

If it's the 750/650 or equivalent with accompanying Android/IOS Touchscreen/Wifi/Blutooth app I claim my prize!

Share this post


Link to post
Share on other sites

There is an interesting conjecture, but the truth is way different and more interresting! Hopefully not long to wait before our next major announcement. I was hoping to be able to post a teaser by today, but it will have to wait just a little more.

That is exciting!

 

Thanks, Jean -Luc

 

Greg

Share this post


Link to post
Share on other sites

I did not see this post until after I purchased Reality XP GNS 530W XP/GNS WAAS today for $50.  Obviously it does not work with my FSX SE.  I was going to contact RXP / Flight 1 for a refund (the product page does NOT state it is incompatible), however I would be good with a free upgrade.

 

Evan

Share this post


Link to post
Share on other sites

The (legacy) page says :

"Discover Reality XP GNS 430W XP™ gps simulation, which is now compatilble with Microsoft Flight Simulator 9 and Flight Simulator X"

"

"compatible with both FS9 and FSX". It's clear.

 

Vendors don't have to list all incompatible softwares, only compatible ones. 

Share this post


Link to post
Share on other sites

The (legacy) page says :

"Discover Reality XP GNS 430W XP™ gps simulation, which is now compatilble with Microsoft Flight Simulator 9 and Flight Simulator X"

"

"compatible with both FS9 and FSX". It's clear.

 

Vendors don't have to list all incompatible softwares, only compatible ones. 

 

Reputable vendors of FSX software DO (I can show you examples) state when their software is not compatible with the current widely available version of FSX, which is FSX SE.

 

I am very happy to hear though that they are working on a version that does work with FSX SE, I just do not want to pay twice to get a version that works. 

Share this post


Link to post
Share on other sites

 

 


Reputable vendors of FSX software DO

 

This language is not appropriate on this forum and I'd appreciate you show respect.

Share this post


Link to post
Share on other sites
On 1/26/2017 at 7:29 PM, fscats said:

 

Reputable vendors of FSX software DO (I can show you examples) state when their software is not compatible with the current widely available version of FSX, which is FSX SE.

I am very happy to hear though that they are working on a version that does work with FSX SE, I just do not want to pay twice to get a version that works. 

 

I echo. RXP should warn the potential buyer of its incompatibility with FSX SE. You saved me $$. Thank you.

Share this post


Link to post
Share on other sites

I sincerely understand you might be confused. This is why the store page has been changed a while back thanks to our customers feedback to say this:

LEGACY FSX ACCELERATION / FS9 ONLY

On the other hand I honestly fail to see why "FSX Acceleration Only" is not enough to understand "FSX-SE" is excluded?!?

Share this post


Link to post
Share on other sites
On 5/11/2017 at 11:03 AM, RXP said:

I sincerely understand you might be confused. This is why the store page has been changed a while back thanks to our customers feedback to say this:

LEGACY FSX ACCELERATION / FS9 ONLY

On the other hand I honestly fail to see why "FSX Acceleration Only" is not enough to understand "FSX-SE" is excluded?!?

1

I understand, and I can see from an expert FSX developer's point of view, those versions of FSX are clearly different.

Several months ago, I, however, had put my FSX aside for four years and was in the process of reinstalling the software to revitalize my flight sim skills. I had bought RXP GNS 430, Flight Line N, and Flight Line T back in 2012, so when I saw they support FSX, I wanted to install them with the latest edition of FSX at that time. While I was aware of some different versions of FSX, I did not know that those RXP products were incompatible with FSX:SE until reading fscats' post. The phrase "FSX Acceleration Only" on the product page, while technically accurate, does not clearly say what RXP does not support. After all, several of my other purchases in 2011-12 for FSX continued to support FSX:SE, and some of them did not explicitly say. Also, web pages may be outdated. This is just a fact, not that I mention it to argue against RXP's decision. So, indeed, I was careful enough to research to find fscats' post above, which saved me money and, more importantly, time. I ended up went straightforward to P3D.

I was only slightly disappointed and I hoped to find some coupon or discount that I could use to upgrade my legacy RXP GNS to the GNS or GTN for P3D. Maybe they had only existed for some time and were already over. I didn't find any so, at that point, I became disappointed. I thought I just tell you what I really felt as a previous customer.

Share this post


Link to post
Share on other sites

Hi,

We can't be perfect and sometimes there are bumps in the road not matter what. However, we value everyone's opinion not only because we are not shy of our products and I see nearly all our customers are pleased with the RXP purchases and are vocal about this, but also because your opinion and feedback is invaluable to better our products.

Hopefully this is what the support forum is also meant for, and unlike other forums which require being a registered customer, everyone, can post questions and read answers here! 

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now